/*
 * This file is a part of the CaosDB Project.
 *
 * Copyright (C) 2021 Timm Fitschen <t.fitschen@indiscale.com>
 * Copyright (C) 2021 IndiScale GmbH <info@indiscale.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 */

#ifndef CAOSDB_EXCEPTIONS_H
#define CAOSDB_EXCEPTIONS_H
#include <stdexcept>
#include <string>

namespace caosdb::exceptions {
using std::runtime_error;

/**
 * @brief Exception for authentication errors.
 */
class AuthenticationError : public runtime_error {
public:
  explicit AuthenticationError(const std::string &what_arg)
    : runtime_error(what_arg) {}
};

/**
 * @brief The connection to the CaosDB server is down.
 */
class ConnectionError : public runtime_error {
public:
  explicit ConnectionError(const std::string &what_arg)
    : runtime_error(what_arg) {}
};

} // namespace caosdb::exceptions
#endif
